// Squawk messenger. 
// Copyright (C) 2019  Yury Gubich <blue@macaw.me>
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#ifndef VCARD_OMEMO_H
#define VCARD_OMEMO_H

#include <QWidget>
#include <QScopedPointer>
#include <QMenu>

#include "keysmodel.h"
#include "keydelegate.h"
#include "shared/icons.h"

namespace Ui
{
class Omemo;
}

class Omemo : public QWidget {
    Q_OBJECT
public:
    Omemo(QWidget* parent = nullptr);
    ~Omemo();

private slots:
    void onActiveKeysContextMenu(const QPoint& pos);

private:
    void generateMockData();

private:
    QScopedPointer<Ui::Omemo> m_ui;
    UI::KeyDelegate keysDelegate;
    UI::KeyDelegate unusedKeysDelegate;
    UI::KeysModel keysModel;
    UI::KeysModel unusedKeysModel;
    QMenu* contextMenu;
};

#endif // VCARD_OMEMO_H
